import type { FileNode, JSON_ROOT } from "../../types";
import type { ParseProjectOptions } from "../../types/parsers/types";
export declare function projectToJsonRoot(projectRoot: string, targetLanguage?: string, options?: ParseProjectOptions): Promise<JSON_ROOT>;
export declare function projectToJsonRootIncremental(projectRoot: string, prevJson: JSON_ROOT, targetLanguage?: string, options?: ParseProjectOptions): Promise<JSON_ROOT>;
export declare function singleFileToFileNode(projectRoot: string, fileAbsPath: string, options?: ParseProjectOptions): Promise<FileNode>;
